## r-bioc-txdbmaker 1.0.1+ds

=== DESCRIPTION ===
Package: txdbmaker
Title: Tools for making TxDb objects from genomic annotations
Description: A set of tools for making TxDb objects from genomic annotations
	from various sources (e.g. UCSC, Ensembl, and GFF files). These tools
	allow the user to download the genomic locations of transcripts,
	exons, and CDS, for a given assembly, and to import them in a TxDb
	object. TxDb objects are implemented in the GenomicFeatures package,
	together with flexible methods for extracting the desired features in
	convenient formats.
biocViews: Infrastructure, DataImport, Annotation, GenomeAnnotation,
        GenomeAssembly, Genetics, Sequencing
URL: https://bioconductor.org/packages/txdbmaker
BugReports: https://github.com/Bioconductor/txdbmaker/issues
Version: 1.0.1
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("H.", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("M.", "Carlson", role="aut"),
	person("P.", "Aboyoun", role="aut"),
	person("S.", "Falcon", role="aut"),
	person("M.", "Morgan", role="aut"),
	person("M.", "Lawrence", role="ctb"),
	person("J.", "MacDonald", role="ctb"),
	person("M.", "Ramos", role="ctb"),
	person("S.", "Saini", role="ctb"),
	person("L.", "Shepherd", role="ctb"))
Depends: BiocGenerics, S4Vectors, GenomeInfoDb (>= 1.39.9),
        GenomicRanges, GenomicFeatures
Imports: methods, utils, stats, tools, httr, rjson, DBI, RSQLite (>=
        2.0), IRanges, UCSC.utils, AnnotationDbi, Biobase, BiocIO,
        rtracklayer, biomaRt (>= 2.59.1)
Suggests: RMariaDB, mirbase.db, ensembldb, RUnit, BiocStyle, knitr
VignetteBuilder: knitr
Collate: utils.R Ensembl-utils.R findCompatibleMarts.R TxDb-schema.R
        TxDb-CREATE-TABLE-helpers.R makeTxDb.R makeTxDbFromUCSC.R
        makeTxDbFromBiomart.R makeTxDbFromEnsembl.R
        makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
        makeTxDbPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/txdbmaker
git_branch: RELEASE_3_19
git_last_commit: 555cfa8
git_last_commit_date: 2024-06-19
Repository: Bioconductor 3.19
Date/Publication: 2024-06-23
NeedsCompilation: no
Packaged: 2024-06-24 00:13:24 UTC; biocbuild
Author: H. Pagès [aut, cre],
  M. Carlson [aut],
  P. Aboyoun [aut],
  S. Falcon [aut],
  M. Morgan [aut],
  M. Lawrence [ctb],
  J. MacDonald [ctb],
  M. Ramos [ctb],
  S. Saini [ctb],
  L. Shepherd [ctb]
Maintainer: H. Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-txdbmaker (1.0.1+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:31:24 +0200

r-bioc-txdbmaker (1.0.1+ds-1~0exp2) experimental; urgency=medium

  * d/control: add minimum version for r-bioc-ucsc.utils

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 18:00:40 +0200

r-bioc-txdbmaker (1.0.1+ds-1~0exp1) experimental; urgency=medium

  * salsa-ci: build/test using experimental.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 13:27:04 +0200

r-bioc-txdbmaker (1.0.1+ds-1~0exp0) experimental; urgency=medium

  * Initial release (closes: #1076066)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 09:39:00 +0200

=== debian/control ===
Source: r-bioc-txdbmaker
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-genomicfeatures (>= 1.56.0),
               r-cran-httr,
               r-cran-rjson,
               r-cran-dbi,
               r-cran-rsqlite,
               r-bioc-iranges (>= 2.38.1),
               r-bioc-ucsc.utils (>> 1.0.0+ds-1),
               r-bioc-annotationdbi (>= 1.66.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-biocio (>= 1.14.0),
               r-bioc-rtracklayer (>= 1.64.0),
               r-bioc-biomart (>= 2.60.1)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-txdbmaker
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-txdbmaker.git
Homepage: https://bioconductor.org/packages/txdbmaker
Rules-Requires-Root: no

Package: r-bioc-txdbmaker
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-genomicfeatures (>= 1.56.0),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-ucsc.utils (>> 1.0.0+ds-1),
         r-bioc-annotationdbi (>= 1.66.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-biocio (>= 1.14.0),
         r-bioc-rtracklayer (>= 1.64.0),
         r-bioc-biomart (>= 2.60.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-ensembldb (>= 2.28.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: Tools for making TxDb objects from genomic annotations
 A set of tools for making TxDb objects from genomic annotations
 from various sources (e.g. UCSC, Ensembl, and GFF files). These tools
 allow the user to download the genomic locations of transcripts,
 exons, and CDS, for a given assembly, and to import them in a TxDb
 object. TxDb objects are implemented in the GenomicFeatures package,
 together with flexible methods for extracting the desired features in
 convenient formats.

## r-bioc-txdbmaker 1.2.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
         GenomeAssembly, Genetics, Sequencing
 URL: https://bioconductor.org/packages/txdbmaker
 BugReports: https://github.com/Bioconductor/txdbmaker/issues
-Version: 1.0.1
+Version: 1.2.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -39,13 +39,13 @@
         makeTxDbFromGRanges.R makeTxDbFromGFF.R makeFeatureDbFromUCSC.R
         makeTxDbPackage.R zzz.R
 git_url: https://git.bioconductor.org/packages/txdbmaker
-git_branch: RELEASE_3_19
-git_last_commit: 555cfa8
-git_last_commit_date: 2024-06-19
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-23
+git_branch: RELEASE_3_20
+git_last_commit: 84ec338
+git_last_commit_date: 2024-11-21
+Repository: Bioconductor 3.20
+Date/Publication: 2024-11-25
 NeedsCompilation: no
-Packaged: 2024-06-24 00:13:24 UTC; biocbuild
+Packaged: 2024-11-26 01:10:15 UTC; biocbuild
 Author: H. Pagès [aut, cre],
   M. Carlson [aut],
   P. Aboyoun [aut],

=== inst/txdb-template/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: GenomicFeatures
Imports: AnnotationDbi
License: @LIC@
organism: @ORGANISM@
species: @SPECIES@
provider: @PROVIDER@
provider_version: @PROVIDERVERSION@
release_date: @RELEASEDATE@
resource_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, TxDb, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-txdbmaker (1.2.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 23:30:05 +0100

r-bioc-txdbmaker (1.2.1+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 13:02:33 +0100

=== debian/control ===
Source: r-bioc-txdbmaker
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-genomeinfodb (>= 1.39.9),
               r-bioc-genomicranges,
               r-bioc-genomicfeatures,
               r-cran-httr,
               r-cran-rjson,
               r-cran-dbi,
               r-cran-rsqlite,
               r-bioc-iranges,
               r-bioc-ucsc.utils,
               r-bioc-annotationdbi,
               r-bioc-biobase,
               r-bioc-biocio,
               r-bioc-rtracklayer,
               r-bioc-biomart (>= 2.59.1)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-txdbmaker
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-txdbmaker.git
Homepage: https://bioconductor.org/packages/txdbmaker
Rules-Requires-Root: no

Package: r-bioc-txdbmaker
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools for making TxDb objects from genomic annotations
 A set of tools for making TxDb objects from genomic annotations
 from various sources (e.g. UCSC, Ensembl, and GFF files). These tools
 allow the user to download the genomic locations of transcripts,
 exons, and CDS, for a given assembly, and to import them in a TxDb
 object. TxDb objects are implemented in the GenomicFeatures package,
 together with flexible methods for extracting the desired features in
 convenient formats.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/txdbmaker.html .*/txdbmaker_(.*).tar.gz
